## mx4j.tools.stats
Class ValueStatisticsRecorderMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.tools.stats.StatisticsRecorderMBeanDescription
              mx4j.tools.stats.ValueStatisticsRecorderMBeanDescription

All Implemented Interfaces:
  MBeanDescription

public class ValueStatisticsRecorderMBeanDescription
extends StatisticsRecorderMBeanDescription

MBean description. * @see StatisticsMBean

Version:
  $Revision: 1.3 $

Constructor Summary
`ValueStatisticsRecorderMBeanDescription()`

Method Summary
`java.lang.String` `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.

Methods inherited from class mx4j.tools.stats.StatisticsRecorderMBeanDescription
`getOperationDescription`

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorDescription, getConstructorParameterDescription, getConstructorParameterName, getMBeanDescription, getOperationParameterDescription, getOperationParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueStatisticsRecorderMBeanDescription

    public ValueStatisticsRecorderMBeanDescription()

Method Detail

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`
  Overrides:
    `getAttributeDescription` in class `StatisticsRecorderMBeanDescription`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.